Get a list of tenants
GET /api
Also reachable at /api, /api.
Lists all of the tenants in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name, and returned 30 at a time.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
clonedFromTenantIdstring
A Tenant ID, to limit the included Tenants to those cloned from that Tenant. Example: Tenants-1.idsarray of string
A list of Tenant IDs, to limit the matching of Tenants to those with a particular ID. Example: [“Tenants-1”, “Tenants-2”].isDisabledboolean
Disabled Status, to limit the set of retrieved Tenants to those with the specified disabled status.namestring
(Obsolete) A partial or complete name to limit the set of retrieved Tenants to. This will perform a “contains” style match against the supplied name or name-fragment. Left for backwards compatibility.partialNamestring
A partial name, to limit the set of Tenants to those with a name that includes the partial name.projectIdstring
A Project ID, to limit the set of Tenants to those connected to a particular Project. Example: Projects-1.skipinteger
Number of items to skip. Defaults to zero. Minimum0.tagsarray of string
A set of Tenant Tags, to limit the set of retrieved Tenants to those which are tagged with the specific tags. Example: Alpha,Beta,Stable.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Requested list of Tenants
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectClonedFromTenantIdstringCustomFieldsarray of stringDescriptionstringIconobjectIdstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectEnvironmentsobjectSlugstringSpaceIdstringTenantTagsarray of string
Tags are referenced by CanonicalName like {TagSetName}/{TagName}.
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"ClonedFromTenantId": "string",
"CustomFields": [
"string"
],
"Description": "string",
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectEnvironments": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
},
"Slug": "string",
"SpaceId": "string",
"TenantTags": [
"string"
]
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Tenant
POST /api
Also reachable at /api, /api.
Creates a new Tenant, optionally cloning an existing tenant if the clone query string parameter is provided.
Path Parameters
spaceIdstring (required)
Request Body
Clonestring
The ID of the Tenant to clone. Example: Tenants-101.DescriptionstringIsDisabledbooleanNamestring (required)
Minimum length 1.ProjectEnvironmentsobject
The projects the tenant is connected to, as an object keyed by project ID where each value is the array of environment IDs the tenant can deploy to for that project. Example: {“Projects-1”: [“Environments-1”, “Environments-2”]}.Slugstring
A URL-friendly, unique identifier for the tenant. Generated from the name when omitted, which is usually what you want.SpaceIdstring (required)TenantTagsarray of string
Tags to apply to the tenant, as canonical tag names in the form ‘TagSetName/TagName’. Example: [“Regions/EU-West”, “Tier/Premium”]. Only tags from tenant-scoped tag sets are valid.
Response
201 — Created
ClonedFromTenantIdstringCustomFieldsarray of stringDescriptionstringIconobjectColorstring
Icon background colour, as a Hex string.Idstring
Font Awesome Icon Id.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectEnvironmentsobjectSlugstringSpaceIdstringTenantTagsarray of string
Tags are referenced by CanonicalName like {TagSetName}/{TagName}.
Example Request
{
"Clone": "string",
"Description": "string",
"IsDisabled": true,
"Name": "string",
"ProjectEnvironments": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
},
"Slug": "string",
"SpaceId": "string",
"TenantTags": [
"string"
]
}Example Response
{
"ClonedFromTenantId": "string",
"CustomFields": [
"string"
],
"Description": "string",
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectEnvironments": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
},
"Slug": "string",
"SpaceId": "string",
"TenantTags": [
"string"
]
}List all tenants
GET /api
Also reachable at /api, /api.
Lists all of the tenants in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
idsarray of string
A set of Tenant IDs to retrieve Tenants for.isDisabledboolean
Disabled Status, to limit the set of retrieved Tenants to those with the specified disabled status.namestring
(Obsolete) A partial or complete name to limit the set of retrieved Tenants to. This will perform a “contains” style match against the supplied name or name-fragment. Left for backwards compatibility.partialNamestring
A partial or complete name to limit the set of retrieved Tenants to. This will perform a “contains” style match against the supplied name or name-fragment.projectIdstring
A Project ID, to limit the set of retrieved Tenants to those connected to a particular Project.tagsarray of string
A set of Tenant Tags, to limit the set of retrieved Tenants to those which are tagged with the specific tags. Example: Alpha,Beta,Stable.
Response
200 — Requested list of Tenants
ClonedFromTenantIdstringCustomFieldsarray of stringDescriptionstringIconobjectColorstring
Icon background colour, as a Hex string.Idstring
Font Awesome Icon Id.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectEnvironmentsobjectSlugstringSpaceIdstringTenantTagsarray of string
Tags are referenced by CanonicalName like {TagSetName}/{TagName}.
Example Response
[
{
"ClonedFromTenantId": "string",
"CustomFields": [
"string"
],
"Description": "string",
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectEnvironments": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
},
"Slug": "string",
"SpaceId": "string",
"TenantTags": [
"string"
]
}
]Report back the status of multi-tenancy
GET /api
Also reachable at /api, /api.
If multi-tenancy is enabled, "Enabled" will be true, otherwise it will be false.
Path Parameters
spaceIdstring (required)
Response
200 — The status of multi-tenancy.
EnabledbooleanIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Example Response
{
"Enabled": true,
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}Check tenants for matching tags
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
tagsarray of string
A list of Tenant Tags to limit the matching to.tenantIdsarray of string
A list of Tenant IDs to limit the matching to.
Response
200 — Requested set of Tenants with matching Tags
Example Response
{
"additionalProp1": {
"IsDisabled": true,
"IsMatched": true,
"MissingTags": [
"string"
],
"Reason": "string"
},
"additionalProp2": {
"IsDisabled": true,
"IsMatched": true,
"MissingTags": [
"string"
],
"Reason": "string"
},
"additionalProp3": {
"IsDisabled": true,
"IsMatched": true,
"MissingTags": [
"string"
],
"Reason": "string"
}
}Return a list of tenants who are missing required variables
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Query Parameters
environmentIdstring
An Environment ID, to limit the set of inspected Tenants to those connected to a particular Environment. Example: Environments-202.includeDetailsboolean
A switch to indicate whether missing variable details should be returned along with names. When false, each result names only the tenant, which is enough to check whether a tenant is missing anything at all.projectIdstring
A Project ID, to limit the set of inspected Tenants to those connected to a particular Project. Example: Projects-202.tenantIdstring
An ID for a Tenant. If supplied, will limit the result to variables missing for the Tenant identified by the ID. Example: Tenants-101.
Response
200 — List of tenants who are missing required variables.
LinksobjectMissingVariablesarray of objectEnvironmentIdstringLibraryVariableSetIdstringLinksobjectProjectIdstringVariableTemplateIdstringVariableTemplateNamestring
TenantIdstring
Example Response
[
{
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MissingVariables": [
{
"EnvironmentId": "string",
"LibraryVariableSetId": "string",
"Links": {},
"ProjectId": "string",
"VariableTemplateId": "string",
"VariableTemplateName": "string"
}
],
"TenantId": "string"
}
]Get a tenant by it’s Id
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Tenant to load.spaceIdstring (required)
Response
200 — Returns a tenant
ClonedFromTenantIdstringCustomFieldsarray of stringDescriptionstringIconobjectColorstring
Icon background colour, as a Hex string.Idstring
Font Awesome Icon Id.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectEnvironmentsobjectSlugstringSpaceIdstringTenantTagsarray of string
Tags are referenced by CanonicalName like {TagSetName}/{TagName}.
Example Response
{
"ClonedFromTenantId": "string",
"CustomFields": [
"string"
],
"Description": "string",
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectEnvironments": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
},
"Slug": "string",
"SpaceId": "string",
"TenantTags": [
"string"
]
}Modify an existing Tenant
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Tenant to modify.spaceIdstring (required)
Request Body
DescriptionstringIdstring (required)
ID of the Tenant to modify.IsDisabledbooleanNamestring (required)
Minimum length 1.ProjectEnvironmentsobject
The complete set of projects the tenant is connected to, as an object keyed by project ID where each value is the array of environment IDs the tenant can deploy to for that project. Example: {“Projects-1”: [“Environments-1”]}. Replaces the tenant’s current connections; omitting an existing project disconnects it and deletes the tenant’s variable values for it.Slugstring
A URL-friendly, unique identifier for the tenant. Resubmit the tenant’s current slug unless you intend to change it; changing it breaks existing links that use the old slug.SpaceIdstring (required)TenantTagsarray of string
The complete set of tags for the tenant, as canonical tag names in the form ‘TagSetName/TagName’. Example: [“Regions/EU-West”, “Tier/Premium”]. Replaces the tenant’s current tags; any existing tag omitted here is removed.
Response
200 — Confirms that a Tenant has been modified, containing the updated Tenant
ClonedFromTenantIdstringCustomFieldsarray of stringDescriptionstringIconobjectColorstring
Icon background colour, as a Hex string.Idstring
Font Awesome Icon Id.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectEnvironmentsobjectSlugstringSpaceIdstringTenantTagsarray of string
Tags are referenced by CanonicalName like {TagSetName}/{TagName}.
Example Request
{
"Description": "string",
"Id": "string",
"IsDisabled": true,
"Name": "string",
"ProjectEnvironments": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
},
"Slug": "string",
"SpaceId": "string",
"TenantTags": [
"string"
]
}Example Response
{
"ClonedFromTenantId": "string",
"CustomFields": [
"string"
],
"Description": "string",
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectEnvironments": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
},
"Slug": "string",
"SpaceId": "string",
"TenantTags": [
"string"
]
}Delete an existing Tenant
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Tenant to delete.spaceIdstring (required)
Response
200 — Success
Get the logo associated with the Tenant
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Tenant to retrieve the logo for.spaceIdstring (required)
Response
200 — Success
Example Response
"string"Modify the logo associated with the tenant
POST /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Tenant to update the logo for.spaceIdstring (required)
Response
200 — Success
Modify the logo associated with the tenant
PUT /api
Path Parameters
idstring (required)
ID of the Tenant to update the logo for.spaceIdstring (required)
Response
200 — Success
Modify the logo associated with the tenant
PUT /api
Also reachable at /api.
Path Parameters
idstring (required)
ID of the Tenant to update the logo for.spaceIdentifierstring (required)
Identifier (ID or slug) of the space.
Response
200 — Success
Get variables associated with the provided tenant ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the Tenant to retrieve variables for.spaceIdstring (required)
Response
200 — Variables associated with the provided tenant ID.
ConcurrencyTokenstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LibraryVariablesobjectLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectVariablesobjectSpaceIdstringTenantIdstringTenantNamestring
Example Response
{
"ConcurrencyToken": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LibraryVariables": {
"additionalProp1": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectVariables": {
"additionalProp1": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"SpaceId": "string",
"TenantId": "string",
"TenantName": "string"
}Create or Update the variables associated with the tenant
POST /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Tenant to modify.spaceIdstring (required)
Request Body
ConcurrencyTokenstringIdstring (required)
ID of the Tenant to modify.LibraryVariablesobjectProjectVariablesobjectSpaceIdstring (required)TenantNamestring
Response
200 — The variables associated with the tenant.
ConcurrencyTokenstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LibraryVariablesobjectLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectVariablesobjectSpaceIdstringTenantIdstringTenantNamestring
Example Request
{
"ConcurrencyToken": "string",
"Id": "string",
"LibraryVariables": {
"additionalProp1": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"ProjectVariables": {
"additionalProp1": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"SpaceId": "string",
"TenantName": "string"
}Example Response
{
"ConcurrencyToken": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LibraryVariables": {
"additionalProp1": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectVariables": {
"additionalProp1": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"SpaceId": "string",
"TenantId": "string",
"TenantName": "string"
}Create or Update the variables associated with the tenant
PUT /api
Path Parameters
idstring (required)
ID of the Tenant to modify.spaceIdstring (required)
Request Body
ConcurrencyTokenstringIdstring (required)
ID of the Tenant to modify.LibraryVariablesobjectProjectVariablesobjectSpaceIdstring (required)TenantNamestring
Response
200 — The variables associated with the tenant.
ConcurrencyTokenstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LibraryVariablesobjectLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectVariablesobjectSpaceIdstringTenantIdstringTenantNamestring
Example Request
{
"ConcurrencyToken": "string",
"Id": "string",
"LibraryVariables": {
"additionalProp1": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"ProjectVariables": {
"additionalProp1": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"SpaceId": "string",
"TenantName": "string"
}Example Response
{
"ConcurrencyToken": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LibraryVariables": {
"additionalProp1": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectVariables": {
"additionalProp1": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"SpaceId": "string",
"TenantId": "string",
"TenantName": "string"
}Create or Update the variables associated with the tenant
PUT /api
Also reachable at /api.
Path Parameters
idstring (required)
ID of the Tenant to modify.spaceIdentifierstring (required)
Identifier (ID or slug) of the space.
Request Body
ConcurrencyTokenstringIdstring (required)
ID of the Tenant to modify.LibraryVariablesobjectProjectVariablesobjectSpaceIdstring (required)TenantNamestring
Response
200 — The variables associated with the tenant.
ConcurrencyTokenstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LibraryVariablesobjectLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectVariablesobjectSpaceIdstringTenantIdstringTenantNamestring
Example Request
{
"ConcurrencyToken": "string",
"Id": "string",
"LibraryVariables": {
"additionalProp1": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"ProjectVariables": {
"additionalProp1": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"SpaceId": "string",
"TenantName": "string"
}Example Response
{
"ConcurrencyToken": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LibraryVariables": {
"additionalProp1": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectVariables": {
"additionalProp1": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp2": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
},
"additionalProp3": {
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
}
},
"SpaceId": "string",
"TenantId": "string",
"TenantName": "string"
}Get the common variables associated with the tenant
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)tenantIdstring (required)
The ID of the tenant to read common variable values for. Example: Tenants-101.
Query Parameters
includeMissingVariablesboolean
When true, the response also lists the library variable set templates the tenant is required to supply a value for but has not, along with each template’s default value.
Response
200 — The common variables associated with a tenant.
ConcurrencyTokenstring
Minimum length 1.MissingVariablesarray of objectLibraryVariableSetIdstringLibraryVariableSetNamestringScopeobjectTemplateobjectTemplateIdstring
Minimum length 1.Valueobject
TenantIdstringVariablesarray of objectIdstring
Minimum length 1.LibraryVariableSetIdstringLibraryVariableSetNamestringScopeobjectTemplateobjectTemplateIdstring
Minimum length 1.Valueobject
Example Response
{
"ConcurrencyToken": "string",
"MissingVariables": [
{
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"Template": {
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
],
"TenantId": "string",
"Variables": [
{
"Id": "string",
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"Template": {
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Create or Update the common variables associated with the tenant
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)tenantIdstring (required)
Request Body
ConcurrencyTokenstring
The concurrency token returned when reading the tenant’s variables. Always pass it back so the write is rejected if someone else changed the variables since your read; omitting it skips the check and risks silently overwriting their changes.SpaceIdstring (required)TenantIdstring (required)Variablesarray of object (required)
The complete set of common variable values for the tenant; existing values omitted here are deleted. Each item is an object: ‘Id’ (the existing value’s ID when updating; omit when adding), ‘OwnerId’ (the library variable set ID), ‘TemplateId’ (the variable template ID), ‘Value’ (a plain string for non-sensitive values, or {“HasValue”: true, “NewValue”: “secret”} for sensitive ones), and ‘Scope’ ({“EnvironmentIds”: […]} limiting the value to those environments; empty applies to all).IdstringOwnerIdstring (required)
Minimum length 1.Scopeobject (required)TemplateIdstring (required)
Minimum length 1.Valueobject (required)
Response
200 — The common variables associated with a tenant.
ConcurrencyTokenstring
Minimum length 1.TenantIdstringVariablesarray of objectIdstring
Minimum length 1.LibraryVariableSetIdstringLibraryVariableSetNamestringScopeobjectTemplateobjectTemplateIdstring
Minimum length 1.Valueobject
Example Request
{
"ConcurrencyToken": "string",
"SpaceId": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"OwnerId": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Example Response
{
"ConcurrencyToken": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"Template": {
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Create or Update the common variables associated with the tenant
PUT /api
Path Parameters
spaceIdstring (required)tenantIdstring (required)
Request Body
ConcurrencyTokenstring
The concurrency token returned when reading the tenant’s variables. Always pass it back so the write is rejected if someone else changed the variables since your read; omitting it skips the check and risks silently overwriting their changes.SpaceIdstring (required)TenantIdstring (required)Variablesarray of object (required)
The complete set of common variable values for the tenant; existing values omitted here are deleted. Each item is an object: ‘Id’ (the existing value’s ID when updating; omit when adding), ‘OwnerId’ (the library variable set ID), ‘TemplateId’ (the variable template ID), ‘Value’ (a plain string for non-sensitive values, or {“HasValue”: true, “NewValue”: “secret”} for sensitive ones), and ‘Scope’ ({“EnvironmentIds”: […]} limiting the value to those environments; empty applies to all).IdstringOwnerIdstring (required)
Minimum length 1.Scopeobject (required)TemplateIdstring (required)
Minimum length 1.Valueobject (required)
Response
200 — The common variables associated with a tenant.
ConcurrencyTokenstring
Minimum length 1.TenantIdstringVariablesarray of objectIdstring
Minimum length 1.LibraryVariableSetIdstringLibraryVariableSetNamestringScopeobjectTemplateobjectTemplateIdstring
Minimum length 1.Valueobject
Example Request
{
"ConcurrencyToken": "string",
"SpaceId": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"OwnerId": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Example Response
{
"ConcurrencyToken": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"Template": {
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Create or Update the common variables associated with the tenant
PUT /api
Also reachable at /api.
Path Parameters
spaceIdentifierstring (required)
Identifier (ID or slug) of the space.tenantIdstring (required)
Request Body
ConcurrencyTokenstring
The concurrency token returned when reading the tenant’s variables. Always pass it back so the write is rejected if someone else changed the variables since your read; omitting it skips the check and risks silently overwriting their changes.SpaceIdstring (required)TenantIdstring (required)Variablesarray of object (required)
The complete set of common variable values for the tenant; existing values omitted here are deleted. Each item is an object: ‘Id’ (the existing value’s ID when updating; omit when adding), ‘OwnerId’ (the library variable set ID), ‘TemplateId’ (the variable template ID), ‘Value’ (a plain string for non-sensitive values, or {“HasValue”: true, “NewValue”: “secret”} for sensitive ones), and ‘Scope’ ({“EnvironmentIds”: […]} limiting the value to those environments; empty applies to all).IdstringOwnerIdstring (required)
Minimum length 1.Scopeobject (required)TemplateIdstring (required)
Minimum length 1.Valueobject (required)
Response
200 — The common variables associated with a tenant.
ConcurrencyTokenstring
Minimum length 1.TenantIdstringVariablesarray of objectIdstring
Minimum length 1.LibraryVariableSetIdstringLibraryVariableSetNamestringScopeobjectTemplateobjectTemplateIdstring
Minimum length 1.Valueobject
Example Request
{
"ConcurrencyToken": "string",
"SpaceId": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"OwnerId": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Example Response
{
"ConcurrencyToken": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"Template": {
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Get the project variables associated with the tenant
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)tenantIdstring (required)
The ID of the tenant to read project variable values for. Example: Tenants-101.
Query Parameters
includeMissingVariablesboolean
When true, the response also lists the project variable templates the tenant is required to supply a value for but has not, along with each template’s default value.
Response
200 — The project variables associated with a tenant.
ConcurrencyTokenstring
Minimum length 1.MissingVariablesarray of objectProjectIdstringProjectNamestringScopeobjectTemplateobjectTemplateIdstring
Minimum length 1.Valueobject
TenantIdstringVariablesarray of objectIdstring
Minimum length 1.ProjectIdstringProjectNamestringScopeobjectTemplateobjectTemplateIdstring
Minimum length 1.Valueobject
Example Response
{
"ConcurrencyToken": "string",
"MissingVariables": [
{
"ProjectId": "string",
"ProjectName": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"Template": {
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
],
"TenantId": "string",
"Variables": [
{
"Id": "string",
"ProjectId": "string",
"ProjectName": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"Template": {
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Create or Update the project variables associated with the tenant
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)tenantIdstring (required)
Request Body
ConcurrencyTokenstring
The concurrency token returned when reading the tenant’s variables. Always pass it back so the write is rejected if someone else changed the variables since your read; omitting it skips the check and risks silently overwriting their changes.SpaceIdstring (required)TenantIdstring (required)Variablesarray of object (required)
The complete set of project variable values for the tenant; existing values omitted here are deleted. Each item is an object: ‘Id’ (the existing value’s ID when updating; omit when adding), ‘OwnerId’ (the project ID), ‘TemplateId’ (the variable template ID), ‘Value’ (a plain string for non-sensitive values, or {“HasValue”: true, “NewValue”: “secret”} for sensitive ones), and ‘Scope’ ({“EnvironmentIds”: […]} limiting the value to those environments; empty applies to all).IdstringOwnerIdstring (required)
Minimum length 1.Scopeobject (required)TemplateIdstring (required)
Minimum length 1.Valueobject (required)
Response
200 — The project variables associated with a tenant.
ConcurrencyTokenstring
Minimum length 1.TenantIdstringVariablesarray of objectIdstring
Minimum length 1.ProjectIdstringProjectNamestringScopeobjectTemplateobjectTemplateIdstring
Minimum length 1.Valueobject
Example Request
{
"ConcurrencyToken": "string",
"SpaceId": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"OwnerId": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Example Response
{
"ConcurrencyToken": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"ProjectId": "string",
"ProjectName": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"Template": {
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Create or Update the project variables associated with the tenant
PUT /api
Path Parameters
spaceIdstring (required)tenantIdstring (required)
Request Body
ConcurrencyTokenstring
The concurrency token returned when reading the tenant’s variables. Always pass it back so the write is rejected if someone else changed the variables since your read; omitting it skips the check and risks silently overwriting their changes.SpaceIdstring (required)TenantIdstring (required)Variablesarray of object (required)
The complete set of project variable values for the tenant; existing values omitted here are deleted. Each item is an object: ‘Id’ (the existing value’s ID when updating; omit when adding), ‘OwnerId’ (the project ID), ‘TemplateId’ (the variable template ID), ‘Value’ (a plain string for non-sensitive values, or {“HasValue”: true, “NewValue”: “secret”} for sensitive ones), and ‘Scope’ ({“EnvironmentIds”: […]} limiting the value to those environments; empty applies to all).IdstringOwnerIdstring (required)
Minimum length 1.Scopeobject (required)TemplateIdstring (required)
Minimum length 1.Valueobject (required)
Response
200 — The project variables associated with a tenant.
ConcurrencyTokenstring
Minimum length 1.TenantIdstringVariablesarray of objectIdstring
Minimum length 1.ProjectIdstringProjectNamestringScopeobjectTemplateobjectTemplateIdstring
Minimum length 1.Valueobject
Example Request
{
"ConcurrencyToken": "string",
"SpaceId": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"OwnerId": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Example Response
{
"ConcurrencyToken": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"ProjectId": "string",
"ProjectName": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"Template": {
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Create or Update the project variables associated with the tenant
PUT /api
Also reachable at /api.
Path Parameters
spaceIdentifierstring (required)
Identifier (ID or slug) of the space.tenantIdstring (required)
Request Body
ConcurrencyTokenstring
The concurrency token returned when reading the tenant’s variables. Always pass it back so the write is rejected if someone else changed the variables since your read; omitting it skips the check and risks silently overwriting their changes.SpaceIdstring (required)TenantIdstring (required)Variablesarray of object (required)
The complete set of project variable values for the tenant; existing values omitted here are deleted. Each item is an object: ‘Id’ (the existing value’s ID when updating; omit when adding), ‘OwnerId’ (the project ID), ‘TemplateId’ (the variable template ID), ‘Value’ (a plain string for non-sensitive values, or {“HasValue”: true, “NewValue”: “secret”} for sensitive ones), and ‘Scope’ ({“EnvironmentIds”: […]} limiting the value to those environments; empty applies to all).IdstringOwnerIdstring (required)
Minimum length 1.Scopeobject (required)TemplateIdstring (required)
Minimum length 1.Valueobject (required)
Response
200 — The project variables associated with a tenant.
ConcurrencyTokenstring
Minimum length 1.TenantIdstringVariablesarray of objectIdstring
Minimum length 1.ProjectIdstringProjectNamestringScopeobjectTemplateobjectTemplateIdstring
Minimum length 1.Valueobject
Example Request
{
"ConcurrencyToken": "string",
"SpaceId": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"OwnerId": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}Example Response
{
"ConcurrencyToken": "string",
"TenantId": "string",
"Variables": [
{
"Id": "string",
"ProjectId": "string",
"ProjectName": "string",
"Scope": {
"EnvironmentIds": [
"string"
]
},
"Template": {
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
},
"TemplateId": "string",
"Value": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
}
]
}List all of the tenant variables in the supplied Octopus Deploy Space. The results will be sorted alphabetically by id
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
projectIdstring
ID of a project that tenants must be connected to, to be included in the result set. For matching tenants, variables from all projects are still returned.
Response
200 — All of the tenant variables in the supplied Octopus Deploy Space (sorted alphabetically by id).
ConcurrencyTokenstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LibraryVariablesobjectLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectVariablesobjectSpaceIdstringTenantIdstringTenantNamestring
Example Response
[
{
"ConcurrencyToken": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LibraryVariables": {
"additionalProp1": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {},
"Templates": [
{}
],
"Variables": {}
},
"additionalProp2": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {},
"Templates": [
{}
],
"Variables": {}
},
"additionalProp3": {
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string",
"Links": {},
"Templates": [
{}
],
"Variables": {}
}
},
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectVariables": {
"additionalProp1": {
"Links": {},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {}
},
"additionalProp2": {
"Links": {},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {}
},
"additionalProp3": {
"Links": {},
"ProjectId": "string",
"ProjectName": "string",
"Templates": [
{}
],
"Variables": {}
}
},
"SpaceId": "string",
"TenantId": "string",
"TenantName": "string"
}
]